## python-tatsu 5.13.2+ds

=== Makefile ===
test:  lint tatsu_test documentation examples


tatsu_test: clean
	pytest


documentation: clean sphinx


sphinx:
	cd docs; make -s html > /dev/null


examples: clean g2e_test calc_test


g2e_test:
	cd examples/g2e; make -s clean; make -s test > /dev/null

calc_test:
	cd examples/calc; make -s clean; make -s test > /dev/null


lint: ruff mypy


ruff:
	-@ pip install -q -U ruff
	ruff check --preview tatsu test examples


mypy:
	-@ pip install -q -U mypy
	mypy   --ignore-missing-imports . --exclude dist


clean:
	find . -name "__pycache__" | xargs rm -rf
	find . -name "*.pyc" | xargs rm -f
	find . -name "*.pyd" | xargs rm -f
	find . -name "*.pyo" | xargs rm -f
	find . -name "*.orig" | xargs rm -f
	rm -rf tatsu.egg-info
	rm -rf dist
	rm -rf build
	rm -rf .tox


release_check: clean documentation
	tox
	@echo version `python -m tatsu --version`


build: clean
	pip install -U build
	python -m build


test_upload: build
	pip install -U twine
	twine upload --repository test dist/*


upload: release_check build
	twine upload dist/*

## python-tatsu 5.13.0+ds2.really.5.12.2

=== debian/changelog ===
python-tatsu (5.13.0+ds2.really.5.12.2-1) unstable; urgency=medium

  * Revert to 5.12.2 for beanquery compatibility.

 -- Boyuan Yang <byang@debian.org>  Fri, 10 Jan 2025 14:28:50 -0500

python-tatsu (5.13.0+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 08 Jan 2025 15:15:13 -0500

python-tatsu (5.12.2+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1091339)

 -- Boyuan Yang <byang@debian.org>  Mon, 23 Dec 2024 20:45:09 -0500

=== debian/control ===
Source: python-tatsu
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3,
 python3-pytest <!nocheck>,
 python3-pytest-flake8 <!nocheck>,
 python3-pytest-mypy <!nocheck>,
 python3-setuptools,
 python3-setuptools-scm,
Standards-Version: 4.7.0
Homepage: https://github.com/neogeny/TatSu
Vcs-Git: https://salsa.debian.org/python-team/packages/python-tatsu.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tatsu
Rules-Requires-Root: no
Description: PEG/Packrat parser generator for Python
 TatSu is a tool that takes grammars in a variation of EBNF as input,
 and outputs memoizing (Packrat) PEG parsers in Python.

Package: python3-tatsu
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}

## python-tatsu 5.13.1%2Bds

=== debian/control ===
--- 
+++ 
@@ -28,5 +28,7 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
+Conflicts:
+ python3-tatsu-lts,
 Description: ${source:Synopsis}
  ${source:Extended-Description}

## python-tatsu 5.13.1+ds

=== debian/changelog ===
python-tatsu (5.13.1+ds-2) unstable; urgency=medium

  * Team upload.
  * Drop build-dependency on python3-pytest-flake8 (see #1068502).

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Mar 2025 09:44:12 +0000

python-tatsu (5.13.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Conflict with python3-tatsu-lts.

 -- Boyuan Yang <byang@debian.org>  Tue, 28 Jan 2025 16:14:06 -0500

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-tatsu-$1.tar.gz%,repack,dversionmangle=s/\+ds\d*$//,repacksuffix=+ds" \
https://github.com/neogeny/TatSu/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## python-tatsu 5.13.2+ds

=== debian/changelog ===
python-tatsu (5.13.2+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 16 Oct 2025 14:51:36 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
  pybuild-plugin-pyproject,
  python3,
  python3-pytest <!nocheck>,
- python3-pytest-flake8 <!nocheck>,
  python3-pytest-mypy <!nocheck>,
  python3-setuptools,
  python3-setuptools-scm,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME = tatsu

# Artifacts needed for testing
export PYBUILD_BEFORE_TEST=cp -r grammar {build_dir}/

# Garbage generated by testing
export PYBUILD_AFTER_TEST=rm -rfv {build_dir}/tmp {build_dir}/grammar

%:
	dh $@ --buildsystem=pybuild

## python-tatsu 5.14.0+ds

=== debian/changelog ===
python-tatsu (5.14.0+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 31 Dec 2025 10:21:35 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-tatsu
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
@@ -13,11 +12,10 @@
  python3-pytest-mypy <!nocheck>,
  python3-setuptools,
  python3-setuptools-scm,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/neogeny/TatSu
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-tatsu.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tatsu
-Rules-Requires-Root: no
 Description: PEG/Packrat parser generator for Python
  TatSu is a tool that takes grammars in a variation of EBNF as input,
  and outputs memoizing (Packrat) PEG parsers in Python.

## python-tatsu 5.15.1+ds

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
-test:  lint tatsu_test documentation examples
+test:  lint pytest documentation examples
 
 
-tatsu_test: clean
-	pytest
+pytest: clean
+	pytest --cov
 
 
-documentation: clean sphinx
+documentation: sphinx
 
 
 sphinx:

=== debian/changelog ===
python-tatsu (5.15.1+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 04 Jan 2026 14:18:24 -0500

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  pybuild-plugin-pyproject,
  python3,
  python3-pytest <!nocheck>,
+ python3-pytest-cov <!nocheck>,
  python3-pytest-mypy <!nocheck>,
  python3-setuptools,
  python3-setuptools-scm,

## python-tatsu 5.16.0+ds

=== debian/changelog ===
python-tatsu (5.16.0+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 15 Feb 2026 09:58:02 -0500

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,10 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3,
+ python3-hatchling,
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-pytest-mypy <!nocheck>,
- python3-setuptools,
- python3-setuptools-scm,
 Standards-Version: 4.7.3
 Homepage: https://github.com/neogeny/TatSu
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-tatsu.git

## python-tatsu 5.17.1+ds

=== requirements.txt ===
# This file was autogenerated by uv via the following command:
#    uv export --no-group dev --no-hashes --format requirements-txt -o requirements.txt
-e .

=== etc/Makefile ===
# Copyright (c) 2017-2026 Juancarlo Añez (apalala@gmail.com)
# SPDX-License-Identifier: BSD-4-Clause

ifeq ($(OS), Windows_NT)
    PLATFORM := Windows
else
    PLATFORM := $(shell uname -s)
endif


PYTHON := 3.14


all:  test documentation examples build requirements


test:  lint pytest

test_plus: clean_plus test


__version__:
	@- echo "->" $$(uv run python3 --version) $$(uv run python3 -m tatsu --version)


__line__:
	@- uvx python3 -c "import shutil; print('━' * shutil.get_terminal_size().columns)"


__tests_init__: __line__ __version__
	@- uv sync -q --python $(PYTHON) --group test


pytest: __tests_init__ clean
	@- echo "-> $@"
	@- mkdir -p ./tmp
	@- touch ./tmp/__init__.py
	@- uv run -q --python $(PYTHON) pytest --quiet tests/


documentation: sphinx_make


docs: documentation


doc: documentation


sphinx_make:
	@- uv sync -q --python $(PYTHON) --group doc
	@  echo "-> docs"
	@- cd docs; uv run -q --python $(PYTHON) make -s html > /dev/null


examples: clean g2e_test calc_test


g2e_test:
	@- echo "-> examples/g2e"
	@- cd examples/g2e && uv run -q --python $(PYTHON) make -s clean test > /dev/null
	@- cd examples/g2e && uv run -q --python $(PYTHON) make -s clean > /dev/null


calc_test:
	@- echo "-> examples/calc"
	@- cd examples/calc && uv run -q --python $(PYTHON) make -s clean test > /dev/null


lint: ruff ty pyright


ruff: __tests_init__ clean
	@- echo "-> $@"
	@- uv run -q --python $(PYTHON) ruff check -q --preview --fix tatsu tests examples


mypy: __tests_init__ clean
	@- echo "-> $@"
	@- uv run -q --python $(PYTHON) mypy tatsu tests examples \
		--install-types \
		--exclude dist \
		--exclude parsers \
		--exclude backup

pyright: basedpyright


basedpyright: __tests_init__ clean
	@- echo "-> $@"
	@- uv run -q --python $(PYTHON) basedpyright tatsu tests examples


ty: __tests_init__ clean
	@- 	echo "-> $@"
	@- 	unbuffer uv run -q --python $(PYTHON) ty check tatsu tests examples | (! rg --color=always -v "All checks passed!")


clean:
	@- find tatsu tests examples -name "__pycache__" | xargs /bin/rm -rf
	@- /bin/rm -rf tatsu.egg-info dist tmp build .tox


clean_plus: clean
	@- /bin/rm -rf .cache .pytest_cache .ruff_cache .mypy_cache


checks: matrix

MATRIX := test
matrix: matrix_run __line__
matrix_run: py312 py313 py314 py315

py312: PYTHON := 3.12
py312:
	@- uv run -q --python $(PYTHON) make PYTHON=$(PYTHON) $(MATRIX)

py313: PYTHON := 3.13
py313:
	@- uv run -q --python $(PYTHON) make PYTHON=$(PYTHON) $(MATRIX)

py314: PYTHON := 3.14
py314:
	@- uv run -q --python $(PYTHON) make PYTHON=$(PYTHON) $(MATRIX)

py315: PYTHON := 3.15
py315:
	@- uv run -q --python $(PYTHON) make PYTHON=$(PYTHON) $(MATRIX)


build: clean
	@- echo "-> $@"
	@- uvx hatch build


requirements: \
	uv.lock \
	requirements.txt \
	requirements-dev.txt \
	requirements-test.txt \
	requirements-doc.txt


requirements.txt: uv.lock
	@echo "->" $@
	@- uv export -q --format requirements-txt --no-hashes \
		--no-group dev \
		-o $@

requirements-dev.txt: uv.lock
	@echo "->" $@
	@- uv export -q --format requirements-txt --no-hashes \
		--dev \
		-o $@

requirements-test.txt: uv.lock
	@echo "->" $@
	@- uv export -q --format requirements-txt --no-hashes \
		--group test --no-group dev \
		-o $@

requirements-doc.txt: uv.lock
	@echo "->" $@
	@- uv export -q --format requirements-txt --no-hashes \
		--group doc --no-group dev \
		-o $@


need_gh:
	@- uv tool install -q gh
	@- gh --version | head -n 1


test_publish: need_gh build
	gh workflow run test_publish.yml
	@- gh run list --workflow="test_publish.yml"


publish: need_gh matrix build
	# CAVEAT: Trusted Publishers are now enabled in pypi.org
	gh workflow run publish.yml
	@- gh run list --workflow="publish.yml"

=== debian/changelog ===
python-tatsu (5.17.1+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 23 Feb 2026 18:00:53 -0500
